## org.codehaus.groovy.classgen
Class VerifierCodeVisitor

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.classgen.VerifierCodeVisitor

All Implemented Interfaces:
  GroovyCodeVisitor, org.objectweb.asm.Opcodes

    public class VerifierCodeVisitor

extends CodeVisitorSupport
implements org.objectweb.asm.Opcodes

Verifies the method code

Version:
  $Revision: 7846 $
Author:
  James Strachan

Field Summary

Fields inherited from interface org.objectweb.asm.Opcodes

`AALOAD, AASTORE, ACC_ABSTRACT, ACC_ANNOTATION, ACC_BRIDGE, ACC_DEPRECATED, ACC_ENUM, ACC_FINAL, ACC_INTERFACE, ACC_NATIVE, ACC_PRIVATE, ACC_PROTECTED, ACC_PUBLIC, ACC_STATIC, ACC_STRICT, ACC_SUPER, ACC_SYNCHRONIZED, ACC_SYNTHETIC, ACC_TRANSIENT, ACC_VARARGS, ACC_VOLATILE, ACONST_NULL, ALOAD, ANEWARRAY, ARETURN, ARRAYLENGTH, ASTORE, ATHROW, BALOAD, BASTORE, BIPUSH, CALOAD, CASTORE, CHECKCAST, D2F, D2I, D2L, DADD, DALOAD, DASTORE, DCMPG, DCMPL, DCONST_0, DCONST_1, DDIV, DLOAD, DMUL, DNEG, DREM, DRETURN, DSTORE, DSUB, DUP, DUP_X1, DUP_X2, DUP2, DUP2_X1, DUP2_X2, F2D, F2I, F2L, FADD, FALOAD, FASTORE, FCMPG, FCMPL, FCONST_0, FCONST_1, FCONST_2, FDIV, FLOAD, FMUL, FNEG, FREM, FRETURN, FSTORE, FSUB, GETFIELD, GETSTATIC, GOTO, I2B, I2C, I2D, I2F, I2L, I2S, IADD, IALOAD, IAND, IASTORE, ICONST_0, ICONST_1, ICONST_2, ICONST_3, ICONST_4, ICONST_5, ICONST_M1, IDIV, IF_ACMPEQ, IF_ACMPNE, IF_ICMPEQ, IF_ICMPGE, IF_ICMPGT, IF_ICMPLE, IF_ICMPLT, IF_ICMPNE, IFEQ, IFGE, IFGT, IFLE, IFLT, IFNE, IFNONNULL, IFNULL, IINC, ILOAD, IMUL, INEG, INSTANCEOF, INVOKEINTERFACE, INVOKESPECIAL, INVOKESTATIC, INVOKEVIRTUAL, IOR, IREM, IRETURN, ISHL, ISHR, ISTORE, ISUB, IUSHR, IXOR, JSR, L2D, L2F, L2I, LADD, LALOAD, LAND, LASTORE, LCMP, LCONST_0, LCONST_1, LDC, LDIV, LLOAD, LMUL, LNEG, LOOKUPSWITCH, LOR, LREM, LRETURN, LSHL, LSHR, LSTORE, LSUB, LUSHR, LXOR, MONITORENTER, MONITOREXIT, MULTIANEWARRAY, NEW, NEWARRAY, NOP, POP, POP2, PUTFIELD, PUTSTATIC, RET, RETURN, SALOAD, SASTORE, SIPUSH, SWAP, T_BOOLEAN, T_BYTE, T_CHAR, T_DOUBLE, T_FLOAT, T_INT, T_LONG, T_SHORT, TABLESWITCH, V1_1, V1_2, V1_3, V1_4, V1_5, V1_6`

Method Summary
`static void` `assertValidIdentifier(String name, String message, ASTNode node)`
`void` `visitBinaryExpression(BinaryExpression expression)`
`void` `visitFieldExpression(FieldExpression expression)`
`void` `visitForLoop(ForStatement expression)`
`void` `visitListExpression(ListExpression expression)`
`void` `visitMethodCallExpression(MethodCallExpression call)`
`void` `visitPropertyExpression(PropertyExpression expression)`
`void` `visitVariableExpression(VariableExpression expression)`

Methods inherited from class org.codehaus.groovy.ast.CodeVisitorSupport

`visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitGStringExpression, visitIfElse, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitRangeExpression, visitRegexExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitWhileLoop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### visitMethodCallExpression

    public void visitMethodCallExpression(MethodCallExpression call)

  Specified by:
    `visitMethodCallExpression` in interface `GroovyCodeVisitor`
  Overrides:
    `visitMethodCallExpression` in class `CodeVisitorSupport`

### visitForLoop

    public void visitForLoop(ForStatement expression)

  Specified by:
    `visitForLoop` in interface `GroovyCodeVisitor`
  Overrides:
    `visitForLoop` in class `CodeVisitorSupport`

### visitPropertyExpression

    public void visitPropertyExpression(PropertyExpression expression)

  Specified by:
    `visitPropertyExpression` in interface `GroovyCodeVisitor`
  Overrides:
    `visitPropertyExpression` in class `CodeVisitorSupport`

### visitFieldExpression

    public void visitFieldExpression(FieldExpression expression)

  Specified by:
    `visitFieldExpression` in interface `GroovyCodeVisitor`
  Overrides:
    `visitFieldExpression` in class `CodeVisitorSupport`

### visitVariableExpression

    public void visitVariableExpression(VariableExpression expression)

  Specified by:
    `visitVariableExpression` in interface `GroovyCodeVisitor`
  Overrides:
    `visitVariableExpression` in class `CodeVisitorSupport`

### visitBinaryExpression

    public void visitBinaryExpression(BinaryExpression expression)

  Specified by:
    `visitBinaryExpression` in interface `GroovyCodeVisitor`
  Overrides:
    `visitBinaryExpression` in class `CodeVisitorSupport`

### assertValidIdentifier

    public static void assertValidIdentifier(String name,
                                             String message,
                                             ASTNode node)

### visitListExpression

    public void visitListExpression(ListExpression expression)

  Specified by:
    `visitListExpression` in interface `GroovyCodeVisitor`
  Overrides:
    `visitListExpression` in class `CodeVisitorSupport`

Copyright © 2003-2008 The Codehaus. All rights reserved.